Package: org.codehaus.groovy.transform.stc

## [Java] Class SignatureCodecVersion1

- org.codehaus.groovy.transform.stc.SignatureCodecVersion1

- All Implemented Interfaces and Traits:
    SignatureCodec

      public class SignatureCodecVersion1
      extends Object
      implements SignatureCodec

  First implementation of an inferred type signature codec.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SignatureCodecVersion1(ClassLoader classLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public ClassNode` | `decode(String signature)`
    `` | `public String` | `encode(ClassNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public SignatureCodecVersion1(ClassLoader classLoader)

  - ### Method Detail

    - #### @Override
      public ClassNode decode(String signature)

    - #### @Override
      public String encode(ClassNode node)